[tools]
aws-cli = 'latest'
pandoc = 'latest'
terraform = 'latest'
infracost = 'latest'

# Also required: 
# - bitwarden CLI
# - jq

[env]
_.file = '.env'

[tasks.ssh]
run = "ssh -p 5679 vboxuser@127.0.0.1"

[tasks.labgen]
run = "./utilities/pdf_make/labs.sh"

[tasks.poke-s3]
run = """
./utilities/setup_aws/use-s3.sh
"""

[tasks.sleep]
run = """
aws ec2 stop-instances --instance-ids $TF_VAR_EC2_INSTANCE_ID --region us-east-2
"""

[tasks.wake]
run = """
aws ec2 start-instances --instance-ids $TF_VAR_EC2_INSTANCE_ID --region us-east-2
"""

[tasks.costs]
run = """
infracost breakdown --path .
"""
